<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="XRelease|Win32">
      <Configuration>XRelease</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <VCTargetsPath Condition="'$(VCTargetsPath11)' != '' and '$(VSVersion)' == '' and '$(VisualStudioVersion)' == ''">$(VCTargetsPath11)</VCTargetsPath>
  </PropertyGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{57D58372-6BC9-416E-8625-45B869D409FA}</ProjectGuid>
    <RootNamespace>ServerGTK</RootNamespace>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v110</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v110</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='XRelease|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v110</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='XRelease|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='XRelease|Win32'">
    <IncludePath>$(SolutionDir)MySql6.0.2\include\;$(SolutionDir)GTK-2.22.1-win32\include\gdk-pixbuf-2.0;$(SolutionDir)GTK-2.22.1-win32\include;$(SolutionDir)GTK-2.22.1-win32\include\gtk-2.0;$(SolutionDir)GTK-2.22.1-win32\include\glib-2.0;$(SolutionDir)GTK-2.22.1-win32\lib\glib-2.0\include;$(SolutionDir)GTK-2.22.1-win32\include\atk-1.0;$(SolutionDir)GTK-2.22.1-win32\include\cairo;$(SolutionDir)GTK-2.22.1-win32\include\pango-1.0;$(SolutionDir)GTK-2.22.1-win32\lib\gtk-2.0\include;$(IncludePath)</IncludePath>
    <LibraryPath>$(SolutionDir)MySql6.0.2\lib\;$(SolutionDir)GTK-2.22.1-win32\lib;$(LibraryPath)</LibraryPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <IncludePath>$(SolutionDir)MySql6.0.2\include\;$(SolutionDir)GTK-2.22.1-win32\include\gdk-pixbuf-2.0;$(SolutionDir)GTK-2.22.1-win32\include;$(SolutionDir)GTK-2.22.1-win32\include\gtk-2.0;$(SolutionDir)GTK-2.22.1-win32\include\glib-2.0;$(SolutionDir)GTK-2.22.1-win32\lib\glib-2.0\include;$(SolutionDir)GTK-2.22.1-win32\include\atk-1.0;$(SolutionDir)GTK-2.22.1-win32\include\cairo;$(SolutionDir)GTK-2.22.1-win32\include\pango-1.0;$(SolutionDir)GTK-2.22.1-win32\lib\gtk-2.0\include;$(IncludePath)</IncludePath>
    <LibraryPath>$(SolutionDir)MySql6.0.2\lib\;$(SolutionDir)GTK-2.22.1-win32\lib;$(LibraryPath)</LibraryPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <IncludePath>$(SolutionDir)MySql6.0.2\include\;$(SolutionDir)GTK-2.22.1-win32\include\gdk-pixbuf-2.0;$(SolutionDir)GTK-2.22.1-win32\include;$(SolutionDir)GTK-2.22.1-win32\include\gtk-2.0;$(SolutionDir)GTK-2.22.1-win32\include\glib-2.0;$(SolutionDir)GTK-2.22.1-win32\lib\glib-2.0\include;$(SolutionDir)GTK-2.22.1-win32\include\atk-1.0;$(SolutionDir)GTK-2.22.1-win32\include\cairo;$(SolutionDir)GTK-2.22.1-win32\include\pango-1.0;$(SolutionDir)GTK-2.22.1-win32\lib\gtk-2.0\include;$(IncludePath)</IncludePath>
    <LibraryPath>$(SolutionDir)MySql6.0.2\lib\;$(SolutionDir)GTK-2.22.1-win32\lib;$(LibraryPath)</LibraryPath>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalDependencies>glib-2.0.lib;gtk-win32-2.0.lib;gdk-win32-2.0.lib;gobject-2.0.lib;gdk_pixbuf-2.0.lib;gthread-2.0.lib;gmodule-2.0.lib;pango-1.0.lib;atk-1.0.lib;zdll.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <AdditionalDependencies>glib-2.0.lib;gtk-win32-2.0.lib;gdk-win32-2.0.lib;gobject-2.0.lib;gdk_pixbuf-2.0.lib;gthread-2.0.lib;gmodule-2.0.lib;pango-1.0.lib;atk-1.0.lib;zdll.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='XRelease|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Full</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <InlineFunctionExpansion>AnySuitable</InlineFunctionExpansion>
      <OmitFramePointers>true</OmitFramePointers>
      <EnableFiberSafeOptimizations>true</EnableFiberSafeOptimizations>
      <EnableEnhancedInstructionSet>StreamingSIMDExtensions2</EnableEnhancedInstructionSet>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <AdditionalDependencies>glib-2.0.lib;gtk-win32-2.0.lib;gdk-win32-2.0.lib;gobject-2.0.lib;gdk_pixbuf-2.0.lib;gthread-2.0.lib;gmodule-2.0.lib;pango-1.0.lib;atk-1.0.lib;zdll.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <SubSystem>Windows</SubSystem>
      <SetChecksum>true</SetChecksum>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ResourceCompile Include="ServerGTK.rc" />
  </ItemGroup>
  <ItemGroup>
    <Image Include="..\Resources\Icons\def_icon.png" />
    <Image Include="..\Resources\Icons\win_icon.ico" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="Sourcefiles\AcpDisClient.cpp" />
    <ClCompile Include="Sourcefiles\BroadBuddies.cpp" />
    <ClCompile Include="Sourcefiles\BuddiesUpdate.cpp" />
    <ClCompile Include="Sourcefiles\ChckClient.cpp" />
    <ClCompile Include="Sourcefiles\ChckFriendstate.cpp" />
    <ClCompile Include="Sourcefiles\Dialogs.cpp" />
    <ClCompile Include="Sourcefiles\Functions.cpp" />
    <ClCompile Include="Sourcefiles\HistoryMessages.cpp" />
    <ClCompile Include="Sourcefiles\Main.cpp" />
    <ClCompile Include="Sourcefiles\Mysql.cpp" />
    <ClCompile Include="Sourcefiles\OfflineMessages.cpp" />
    <ClCompile Include="Sourcefiles\Pixmaps.cpp" />
    <ClCompile Include="Sourcefiles\ProgressClients.cpp" />
    <ClCompile Include="Sourcefiles\RecvData.cpp" />
    <ClCompile Include="Sourcefiles\SendData.cpp" />
    <ClCompile Include="Sourcefiles\ServerChannel.cpp" />
    <ClCompile Include="Sourcefiles\ServerInfo.cpp" />
    <ClCompile Include="Sourcefiles\ServerWindow.cpp" />
    <ClCompile Include="Sourcefiles\StartStopServer.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="Sourcefiles\AcpDisClient.h" />
    <ClInclude Include="Sourcefiles\BroadBuddies.h" />
    <ClInclude Include="Sourcefiles\BuddiesUpdate.h" />
    <ClInclude Include="Sourcefiles\ChckClient.h" />
    <ClInclude Include="Sourcefiles\ChckFriendstate.h" />
    <ClInclude Include="Sourcefiles\Config.h" />
    <ClInclude Include="Sourcefiles\Dialogs.h" />
    <ClInclude Include="Sourcefiles\Functions.h" />
    <ClInclude Include="Sourcefiles\HistoryMessages.h" />
    <ClInclude Include="Sourcefiles\Main.h" />
    <ClInclude Include="Sourcefiles\Mysql.h" />
    <ClInclude Include="Sourcefiles\OfflineMessages.h" />
    <ClInclude Include="Sourcefiles\Pixmaps.h" />
    <ClInclude Include="Sourcefiles\ProgressClients.h" />
    <ClInclude Include="Sourcefiles\RecvData.h" />
    <ClInclude Include="Sourcefiles\SendData.h" />
    <ClInclude Include="Sourcefiles\Server.h" />
    <ClInclude Include="Sourcefiles\ServerChannel.h" />
    <ClInclude Include="Sourcefiles\ServerInfo.h" />
    <ClInclude Include="Sourcefiles\ServerWindow.h" />
    <ClInclude Include="Sourcefiles\StartStopServer.h" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>